import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ConfigConfig extends TerraformMetaArguments {
    /** Base64-url-safe-encoded config data */
    readonly data: string;
    /** User-defined name of the config */
    readonly name: string;
}
export declare class Config extends TerraformResource {
    constructor(scope: Construct, id: string, config: ConfigConfig);
    private _data;
    get data(): string;
    set data(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
